/*
 * A-maze-ing API
 * This document describes the API of the A-maze-ing evening server.    This API consists of three different endpoints, which are detailed below.   - To register yourself as a player use the Player endpoint.   - To get information about the available mazes and enter a specific maze use the Mazes endpoint.   - To navigate a maze use the Maze endpoint.
 *
 * OpenAPI spec version: v2
 * 
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */


package io.swagger.client.api;

import io.swagger.client.model.PlayerInfo;
import org.junit.Test;
import org.junit.Ignore;


import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * API tests for PlayerApi
 */
@Ignore
public class PlayerApiTest {

    private final PlayerApi api = new PlayerApi();

    
    /**
     * 🙈 Forget your current progress.
     *
     * 👻 This allows you to re-register with a different name, and even repeat the mazes that you have played before.
     *
     * @throws Exception
     *          if the Api call fails
     */
    @Test
    public void forgetTest() throws Exception {
        api.forget();

        // TODO: test validations
    }
    
    /**
     * 👤 Obtain information about yourself.
     *
     * 
     *
     * @throws Exception
     *          if the Api call fails
     */
    @Test
    public void getTest() throws Exception {
        PlayerInfo response = api.get();

        // TODO: test validations
    }
    
    /**
     * 📝 Register yourself here.
     *
     * You need to register to be able to start navigating through mazes.
     *
     * @throws Exception
     *          if the Api call fails
     */
    @Test
    public void registerTest() throws Exception {
        String name = null;
        api.register(name);

        // TODO: test validations
    }
    
}
